#ifndef SELECTION_INFO_H
#define SELECTION_INFO_H

#include "selection_purposes.h"
#include <stdbool.h>

typedef struct
{

  /*
   * Selection list.
   */
  bool *set;

  /*
   * A selection is being performed.
   */
  bool active;

  /*
   * Indicate if the user is currently defining a selection.
   */
  SELECTION_PURPOSES purpose;

  /*
   * X coordinate of mouse when selection mode initiated.
   */
  int x;

  /*
   * Y coordinate of mouse when selection mode initiated.
   */
  int y;

} SELECTION_INFO;

#endif // SELECTION_INFO_H
